=== debian/changelog ===
segemehl (0.3-1) unstable; urgency=medium

  * Initial release (Closes: #910357)

 -- Andreas Tille <tille@debian.org>  Fri, 05 Oct 2018 12:02:13 +0200
