=== debian/control ===
Source: segemehl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               pkg-config,
               libhts-dev,
               libncurses-dev,
               zlib1g-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/segemehl
Vcs-Git: https://salsa.debian.org/med-team/segemehl.git
Homepage: http://www.bioinf.uni-leipzig.de/Software/segemehl/

Package: segemehl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: short read mapping with gaps
 Segemehl is a software to map short sequencer reads to reference
 genomes. Segemehl implements a matching strategy based on enhanced
 suffix arrays (ESA). Segemehl accepts fasta and fastq queries (gzipâ€™ed
 and bgzip'ed). In addition to the alignment of reads from standard DNA-
 and RNA-seq protocols, it also allows the mapping of bisulfite converted
 reads (Lister and Cokus) and implements a split read mapping strategy.
 The output of segemehl is a SAM or BAM formatted alignment file. In the
 case of split-read mapping, additional BED files are written to the
 disc. These BED files may be summarized with the postprocessing tool
 haarz. In the case of the alignment of bisulfite converted reads, raw
 methylation rates may also be called with haarz.
 .
 In brief, for each suffix of a read, segemehl aims to find the
 best-scoring seed. Seeds might contain insertions, deletions, and
 mismatches (differences). The number of differences allowed within a
 single seed is user-controlled and is crucial for the runtime of the
 program.  Subsequently, seeds that undercut the user-defined E-value are
 passed on to an exact semi-global alignment procedure. Finally, reads
 with a minimum accuracy of percent are reported to the user.
