=== debian/watch ===
version=4

opts="uversionmangle=s/_/./g,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://www.bioinf.uni-leipzig.de/Software/segemehl/ .*/segemehl_(\d[_.\d]+)\.tar\.gz

# opts="searchmode=plain,uversionmangle=s/_/./g,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
# May be we can use searchmode=plain to fetch "<a href="downloads/segemehl.tar.gz">Download segemehl version 0.3</a>"
