## segemehl 0.3.2

=== debian/changelog ===
segemehl (0.3.2-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 04 Dec 2018 15:51:18 +0100
