## segemehl 0.3.4

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 CC?=gcc
 LD=${CC}
-CFLAGS=  -Wall -pedantic -std=c99 -g -O3 -DSORTEDUNMAPPED -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DDBGNFO -DSHOWALIGN -DDBGLEVEL=0 -DPROGNFO -Ilibs -Ilibs/sufarray -Isamtools
+CFLAGS +=  -Wall -pedantic -std=c99 -g -O3 -DSORTEDUNMAPPED -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DDBGNFO -DSHOWALIGN -DDBGLEVEL=0 -DPROGNFO -Ilibs -Ilibs/sufarray -Isamtools
 CFLAGS += `pkg-config --cflags htslib`
 INC := -I include
 CTAGS = ctags > tags
-LIB = -lm -lpthread -lz -lncurses -L libs -lform -lmenu -L/usr/local/lib/
+LIB += -lm -lpthread -lz -lncurses -L libs -lform -lmenu -L/usr/local/lib/
 LIB += `pkg-config --libs htslib`
 LIB += "-Wl,-rpath,`pkg-config --variable=libdir htslib`"
 
@@ -30,7 +30,7 @@
 
 $(PRGTARGETS): $(OBJECTS)
 	@echo "Linking $@";	
-	$(LD) $(LIBOBJECTS) $(BUILDDIR)/$@.o -o $(TARGETDIR)/$@$(TARGETEXT) $(LIB)
+	$(LD) $(LIBOBJECTS) $(BUILDDIR)/$@.o -o $(TARGETDIR)/$@$(TARGETEXT) $(LIB) $(LDFLAGS)
 
 
 $(BUILDDIR)/%.o: $(LIBDIR)/%.c
