=== debian/changelog ===
segemehl (0.3.4-3) unstable; urgency=medium

  * Team Upload.
  * Do not hardcode pkg-config to fix
    non cross-buildability
  * d/u/metadata: Update URLs

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 18 Feb 2021 15:14:26 +0530

segemehl (0.3.4-2) unstable; urgency=medium

  * Fix typo in long description
    Closes: #945040
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Mon, 18 Nov 2019 22:59:53 +0100

segemehl (0.3.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 22:52:52 +0100
