=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                pkg-config,
                libhts-dev,
                libncurses-dev,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/segemehl
 Vcs-Git: https://salsa.debian.org/med-team/segemehl.git
 Homepage: http://www.bioinf.uni-leipzig.de/Software/segemehl/
@@ -20,7 +20,7 @@
 Description: short read mapping with gaps
  Segemehl is a software to map short sequencer reads to reference
  genomes. Segemehl implements a matching strategy based on enhanced
- suffix arrays (ESA). Segemehl accepts fasta and fastq queries (gzipâ€™ed
+ suffix arrays (ESA). Segemehl accepts fasta and fastq queries (gzip'ed
  and bgzip'ed). In addition to the alignment of reads from standard DNA-
  and RNA-seq protocols, it also allows the mapping of bisulfite converted
  reads (Lister and Cokus) and implements a split read mapping strategy.
