=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all

override_dh_install:
	mv segemehl.x	segemehl
	mv haarz.x	haarz
	find . -name "*.x"
	dh_install
